## org.apache.cassandra.net.sink
Class SinkManager

    java.lang.Object
      org.apache.cassandra.net.sink.SinkManager

    public class SinkManager

extends java.lang.Object

Constructor Summary
`SinkManager()`

Method Summary
`static void` `add(IMessageSink ms)`
`static void` `clear()`
`static Message` `processClientMessage(Message message, java.lang.String id, java.net.InetAddress to)`
`static Message` `processServerMessage(Message message, java.lang.String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SinkManager

    public SinkManager()

Method Detail

### add

    public static void add(IMessageSink ms)

### clear

    public static void clear()

### processClientMessage

    public static Message processClientMessage(Message message,
                                               java.lang.String id,
                                               java.net.InetAddress to)

### processServerMessage

    public static Message processServerMessage(Message message,
                                               java.lang.String id)

Copyright © 2012 The Apache Software Foundation